- Qt 6.10
- Qt Sensors
- C++ Classes
- QAmbientTemperatureFilter
- Qt 6.10.2 Reference Documentation

# QAmbientTemperatureFilter Class

The QAmbientTemperatureFilter class is a convenience wrapper around QSensorFilter. More...

Header: | `#include <QAmbientTemperatureFilter>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Sensors)` `target_link_libraries(mytarget PRIVATE Qt6::Sensors)`
qmake: | `QT += sensors`
Inherits: | QSensorFilter

- List of all members, including inherited members

## Public Functions

virtual bool | filter(QAmbientTemperatureReading *reading) = 0

## Detailed Description

The only difference is that the filter() method features a pointer to QAmbientTemperatureReading instead of QSensorReading.

## Member Function Documentation

### `[pure virtual]` bool QAmbientTemperatureFilter::filter(QAmbientTemperatureReading *reading)

Called when reading changes. Returns false to prevent the reading from propagating.

See also QSensorFilter::filter().